Loading...
Searching...
No Matches
Elf32_Ehdr Struct Reference
Utility Functions » ELF binary format

ELF32 header. More...

`#include <elf.h>`

Collaboration diagram for Elf32_Ehdr:

## Data Fields

unsigned char | e_ident [EI_NIDENT]
| see Elf_EIs
Elf32_Half | e_type
| type of ELF file
Elf32_Half | e_machine
| required architecture
Elf32_Word | e_version
| file version
Elf32_Addr | e_entry
| initial program counter
Elf32_Off | e_phoff
| offset of program header table
Elf32_Off | e_shoff
| offset of file header table
Elf32_Word | e_flags
| processor-specific flags
Elf32_Half | e_ehsize
| size of ELF header
Elf32_Half | e_phentsize
| size of program header entry
Elf32_Half | e_phnum
| number of entries in program header table
Elf32_Half | e_shentsize
| size of section header entry
Elf32_Half | e_shnum
| number of entries in section header table
Elf32_Half | e_shstrndx
| section header table index of strtab

## Detailed Description

ELF32 header.

Definition at line 125 of file elf.h.

## Field Documentation

## e_flags

Elf32_Word Elf32_Ehdr::e_flags

processor-specific flags

See also
  Elf_EF_ARM_s

Definition at line 134 of file elf.h.

## e_machine

Elf32_Half Elf32_Ehdr::e_machine

required architecture

See also
  Elf_EMs

Definition at line 129 of file elf.h.

## e_type

Elf32_Half Elf32_Ehdr::e_type

type of ELF file

See also
  Elf_ETs

Definition at line 128 of file elf.h.

## e_version

Elf32_Word Elf32_Ehdr::e_version

file version

See also
  Elf_EVs

Definition at line 130 of file elf.h.

The documentation for this struct was generated from the following file:

- l4/util/elf.h